import { parse } from 'url';

const titles = [
  'Alipay',
  'Angular',
  'Ant Design',
  'Ant Design Pro',
  'Bootstrap',
  'React',
  'Vue',
  'Webpack',
];
const avatars = [
  'https://gw.alipayobjects.com/zos/rmsportal/WdGqmHpayyMjiEhcKoVE.png', // Alipay
  'https://gw.alipayobjects.com/zos/rmsportal/zOsKZmFRdUtvpqCImOVY.png', // Angular
  'https://gw.alipayobjects.com/zos/rmsportal/dURIMkkrRFpPgTuzkwnB.png', // Ant Design
  'https://gw.alipayobjects.com/zos/rmsportal/sfjbOqnsXXJgNCjCzDBL.png', // Ant Design Pro
  'https://gw.alipayobjects.com/zos/rmsportal/siCrBXXhmvTQGWPNLBow.png', // Bootstrap
  'https://gw.alipayobjects.com/zos/rmsportal/kZzEzemZyKLKFsojXItE.png', // React
  'https://gw.alipayobjects.com/zos/rmsportal/ComBAopevLwENQdKWiIn.png', // Vue
  'https://gw.alipayobjects.com/zos/rmsportal/nxkuOJlFJuAUhzlMTCEe.png', // Webpack
];

const avatars2 = [
  'https://gw.alipayobjects.com/zos/rmsportal/BiazfanxmamNRoxxVxka.png',
  'https://gw.alipayobjects.com/zos/rmsportal/cnrhVkzwxjPwAaCfPbdc.png',
  'https://gw.alipayobjects.com/zos/rmsportal/gaOngJwsRYRaVAuXXcmB.png',
  'https://gw.alipayobjects.com/zos/rmsportal/ubnKSIfAJTxIgXOKlciN.png',
  'https://gw.alipayobjects.com/zos/rmsportal/WhxKECPNujWoWEFNdnJE.png',
  'https://gw.alipayobjects.com/zos/rmsportal/jZUIxmJycoymBprLOUbT.png',
  'https://gw.alipayobjects.com/zos/rmsportal/psOgztMplJMGpVEqfcgF.png',
  'https://gw.alipayobjects.com/zos/rmsportal/ZpBqSxLxVEXfcUNoPKrz.png',
  'https://gw.alipayobjects.com/zos/rmsportal/laiEnJdGHVOhJrUShBaJ.png',
  'https://gw.alipayobjects.com/zos/rmsportal/UrQsqscbKEpNuJcvBZBu.png',
];

const covers = [
  'https://gw.alipayobjects.com/zos/rmsportal/uMfMFlvUuceEyPpotzlq.png',
  'https://gw.alipayobjects.com/zos/rmsportal/iZBVOIhGJiAnhplqjvZW.png',
  'https://gw.alipayobjects.com/zos/rmsportal/uVZonEtjWwmUZPBQfycs.png',
  'https://gw.alipayobjects.com/zos/rmsportal/gLaIAoVWTtLbBWZNYEMg.png',
];
const desc = [
  'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
  'Praesent rhoncus mi metus. Aliquam sollicitudin felis sagittis bibendum luctus.',
  'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
  'Praesent rhoncus mi metus. Aliquam sollicitudin felis sagittis bibendum luctus.',
  'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
];

const user = [
  'Fu Xiaoxiao',
  'John Doe',
  'Lin Dongdong',
  'Zhou Xingxing',
  'Wu Jiahao',
  'Zhu Zuoyou',
  'Fish Sauce', //鱼酱
  'Brother', //乐哥
  'Tan Xiaoyi',
  'Zhong Ni', //Johnny?
];

export function fakeList(count) {
  const list = [];
  for (let i = 0; i < count; i += 1) {
    list.push({
      id: `fake-list-${i}`,
      owner: user[i % 10],
      title: titles[i % 8],
      avatar: avatars[i % 8],
      cover: parseInt(i / 4, 10) % 2 === 0 ? covers[i % 4] : covers[3 - i % 4],
      status: ['active', 'exception', 'normal'][i % 3],
      percent: Math.ceil(Math.random() * 50) + 50,
      logo: avatars[i % 8],
      href: 'https://ant.design',
      updatedAt: new Date(new Date().getTime() - 1000 * 60 * 60 * 2 * i),
      createdAt: new Date(new Date().getTime() - 1000 * 60 * 60 * 2 * i),
      subDescription: desc[i % 5],
      description:
        'In the process of R&D of the middle stage products, there will be different design specifications and implementation methods, but often there are many similar pages and components, and these similar components will be separated into a set of standard specifications.',
      activeUser: Math.ceil(Math.random() * 100000) + 100000,
      newUser: Math.ceil(Math.random() * 1000) + 1000,
      star: Math.ceil(Math.random() * 100) + 100,
      like: Math.ceil(Math.random() * 100) + 100,
      message: Math.ceil(Math.random() * 10) + 10,
      content:
        'In the paragraph: ant.design, Ant Financial Design Platform, seamlessly accesses the ecology of Ant Financial with minimal workload, providing experience solutions that span design and development. The ant gold design platform ant.design, with the minimal workload, seamlessly accesses the ant gold suit ecology, providing experience solutions that span design and development.',
      members: [
        {
          avatar: 'https://gw.alipayobjects.com/zos/rmsportal/ZiESqWwCXBRQoaPONSJe.png',
          name: 'John Doe',
        },
        {
          avatar: 'https://gw.alipayobjects.com/zos/rmsportal/tBOxZPlITHqwlGjsJWaF.png',
          name: 'Wang Zhaojun',
        },
        {
          avatar: 'https://gw.alipayobjects.com/zos/rmsportal/sBxjgqiuHMGRkIjqlQCd.png',
          name: 'Dong Nana',
        },
      ],
    });
  }

  return list;
}

export function getFakeList(req, res, u) {
  let url = u;
  if (!url || Object.prototype.toString.call(url) !== '[object String]') {
    url = req.url; // eslint-disable-line
  }

  const params = parse(url, true).query;

  const count = params.count * 1 || 20;

  const result = fakeList(count);

  if (res && res.json) {
    res.json(result);
  } else {
    return result;
  }
}

export const getNotice = [
  {
    id: 'xxx1',
    title: titles[0],
    logo: avatars[0],
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
    updatedAt: new Date(),
    member: 'The Scientist',
    href: '',
    memberLink: '',
  },
  {
    id: 'xxx2',
    title: titles[1],
    logo: avatars[1],
    description: 'Praesent rhoncus mi metus. Aliquam sollicitudin felis sagittis bibendum luctus.',
    updatedAt: new Date('2017-07-24'),
    member: 'Daniel Wu',
    href: '',
    memberLink: '',
  },
  {
    id: 'xxx3',
    title: titles[2],
    logo: avatars[2],
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
    updatedAt: new Date(),
    member: 'Secondary Girl',
    href: '',
    memberLink: '',
  },
  {
    id: 'xxx4',
    title: titles[3],
    logo: avatars[3],
    description: 'Praesent rhoncus mi metus. Aliquam sollicitudin felis sagittis bibendum luctus.',
    updatedAt: new Date('2017-07-23'),
    member: 'Everyday Programmer',
    href: '',
    memberLink: '',
  },
  {
    id: 'xxx5',
    title: titles[4],
    logo: avatars[4],
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent bibendum condimentum cursus.',
    updatedAt: new Date('2017-07-23'),
    member: 'Design Missioner',
    href: '',
    memberLink: '',
  },
  {
    id: 'xxx6',
    title: titles[5],
    logo: avatars[5],
    description: 'Praesent rhoncus mi metus. Aliquam sollicitudin felis sagittis bibendum luctus.',
    updatedAt: new Date('2017-07-23'),
    member: 'Computer Learner',
    href: '',
    memberLink: '',
  },
];

export const getActivities = [
  {
    id: 'trend-1',
    updatedAt: new Date(),
    user: {
      name: 'John Doe',
      avatar: avatars2[0],
    },
    group: {
      name: 'Design Missioner',
      link: 'http://github.com/',
    },
    project: {
      name: 'June Iteration',
      link: 'http://github.com/',
    },
    template: 'In @{group} New Project @{project}',
  },
  {
    id: 'trend-2',
    updatedAt: new Date(),
    user: {
      name: 'Fu Xiaoxiao',
      avatar: avatars2[1],
    },
    group: {
      name: 'Design Missioner',
      link: 'http://github.com/',
    },
    project: {
      name: 'June Iteration',
      link: 'http://github.com/',
    },
    template: 'In @{group} New Project @{project}',
  },
  {
    id: 'trend-3',
    updatedAt: new Date(),
    user: {
      name: 'Lin Dongdong',
      avatar: avatars2[2],
    },
    group: {
      name: 'Secondary Girl',
      link: 'http://github.com/',
    },
    project: {
      name: 'June Iteration',
      link: 'http://github.com/',
    },
    template: 'In @{group} New Project @{project}',
  },
  {
    id: 'trend-4',
    updatedAt: new Date(),
    user: {
      name: 'Zhou Xingxing',
      avatar: avatars2[4],
    },
    project: {
      name: '5 Daily Iteration of the Month',
      link: 'http://github.com/',
    },
    template: 'Will @{project} Release status update',
  },
  {
    id: 'trend-5',
    updatedAt: new Date(),
    user: {
      name: 'Zhu Zuoyou',
      avatar: avatars2[3],
    },
    project: {
      name: 'Project performance',
      link: 'http://github.com/',
    },
    comment: {
      name: 'Comments',
      link: 'http://github.com/',
    },
    template: 'In @{project} Announced @{comment}',
  },
  {
    id: 'trend-6',
    updatedAt: new Date(),
    user: {
      name: 'Brother',
      avatar: avatars2[5],
    },
    group: {
      name: 'Everyday Programmer',
      link: 'http://github.com/',
    },
    project: {
      name: 'Brand iteration',
      link: 'http://github.com/',
    },
    template: 'In @{group} New Project @{project}',
  },
];

export default {
  getNotice,
  getActivities,
  getFakeList,
};
