import React from 'react';
import { Button } from 'antd';
import { Link } from 'dva/router';
import Result from 'components/Result';
import styles from './RegisterResult.less';

const actions = (
  <div className={styles.actions}>
    <a href="">
      <Button size="large" type="primary">
        Verificar
      </Button>
    </a>
    <Link to="/">
      <Button size="large">Voltar</Button>
    </Link>
  </div>
);

export default ({ location }) => (
  <Result
    className={styles.registerResult}
    type="success"
    title={
      <div className={styles.title}>
        Sua conta：{location.state ? location.state.account : 'AntDesign@example.com'} foi registrada com sucesso.
      </div>
    }
    description="Um email foi enviado para a sua conta. Por favor, ative a sua conta clicando no link. O link será desativado em 24H."
    actions={actions}
    style={{ marginTop: 56 }}
  />
);
